/* Mise en page — Accueil ——————————————————————— */
.home .main-content {
  display: grid;
  gap: var(--space-8);

  .page-intro {
    background: none;
    box-shadow: none;

    & h1 {
      outline: none;
      text-align: center;
    }

    & .page-intro__more {
      color: var(--color-body-text);
      display: none;
      font-size: var(--fs-heading-2);
      font-weight: 400;
    }
  }
}

.flash-group {
  .card + .card {
    margin-block-start: var(--space-8);
  }
}

@media (width > 720px) {
  .home .main-content {
    grid-template-columns: repeat(12, 1fr);

    .page-intro {
      grid-column: 1 / -1;

      & .page-intro__more {
        display: inline;
      }
    }
    
    .ai-search {
      grid-column: 1 / 7;
    }

    .search {
      grid-column: 7 / -1;
    }

    .question {
      grid-column: 1 / -1;
    }

    

    .flash-group {
      container-type: normal;
      display: grid;
      gap: var(--space-8);
      grid-column: 1 / -1;
      grid-template-columns: subgrid;
      
      .card + .card {
        margin-block-start: 0;
      }
    }

    .flash {
      display: flex;
      flex-direction: column;
      grid-column: 1 / 8;
    }

    .flash-archive {
      grid-column: 8 / -1;
    }

    .bulletin-archive {
      grid-column: 1 / 7;
    }

    .learning {
      grid-column: 7 / -1;
      }
    }

    .info-cridon {
      grid-column: 1 / -1;
    }
  }
}

@media (width > 1300px) {
  .home .main-content {
    .flash {
      grid-column: 1 / 8;
    }

    .flash-archive {
      grid-column: 8 / -1;
    }
  }
}
